Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 22

Thread: No Groupwise Support for Evolution in 11.10?

  1. #11
    Join Date
    Oct 2011
    Beans
    9

    Re: No Groupwise Support for Evolution in 11.10?

    Thanx bpedman - it works for me too.

    Quote Originally Posted by bpedman View Post
    It took quite a while to figure out but I got the evolution-groupwise plugin compiled from source and appears to be working nicely. I get calendar and email.

    I followed most of bruhein's steps for compiling from source. However, I noticed there was a bug that the SOAP port (for calendar I think) was always set to 0. So here is what I did:

    1. Install git (sudo apt-get install git)
    2. git clone git://git.gnome.org/evolution-groupwise
    3. cd evolution-groupwise
    4. git checkout -b 3.2.0-patch EVOLUTION_GROUPWISE_3_2_0
    5. git cherry-pick 3aae80f55d5fd565274f19210564e74d5350a66c # This is the patch for the SOAP port bug
    6. Open configure.ac, at about line 48 add the line AC_CHECK_LIB(gthread-2.0, g_thread_init)
    7. sudo apt-get build-dep evolution
    8. ./autogen.sh
    9. make
    10. sudo make install
    11. Edit /etc/services like bruhein describes

    That's it I think

  2. #12
    Join Date
    Nov 2011
    Beans
    5

    Re: No Groupwise Support for Evolution in 11.10?

    Hi there,

    i followed bpedmans step to compile the evolution groupwise plugin. Unfortunately at step 8 - ./autogen.sh - i got the message
    Code:
    checking for EVOLUTION_PLUGIN... no
    configure: error: Package requirements (evolution-plugin-3.0 >= 3.2.0) were not met:
    
    No package 'evolution-plugin-3.0' found
    
    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.
    
    Alternatively, you may set the environment variables EVOLUTION_PLUGIN_CFLAGS
    and EVOLUTION_PLUGIN_LIBS to avoid the need to call pkg-config.
    See the pkg-config man page for more details.
    But in Synaptic i found that the plugins are already installed, version 3.2.0-0ubuntu2. My System is Ubuntu 11.10 64bit.

    Any ideas how to solve this problem?

    Cheers,
    Klaus

  3. #13
    Join Date
    Oct 2011
    Beans
    9

    Re: No Groupwise Support for Evolution in 11.10?

    That's a bit tricky because the package has a different name.

    Try to install the package "evolution-dev".

    Maybe you get late the problem that there is "db.h" missing. This problem could be solved by installing the package "libdb-dev".

    So try:

    sudo apt-get install evolution-dev libdb-dev

  4. #14
    Join Date
    Nov 2011
    Beans
    5

    Re: No Groupwise Support for Evolution in 11.10?

    Hi bruhein,

    thanks for your reply, i already recognized that i need to install the evolution-dev package. And your right, after that, the db.h was missing

    Now, "make" and "sudo make install" finished without errors but in evolution i cannot select "groupwise server". That's a little bit strange, isn't it?

    I will have to investigate this

  5. #15
    Join Date
    Oct 2011
    Beans
    9

    Re: No Groupwise Support for Evolution in 11.10?

    Try to reboot after "sudo make install". The evolution data server is always running even if you stop evolution itself.

  6. #16
    Join Date
    Nov 2011
    Beans
    5

    Re: No Groupwise Support for Evolution in 11.10?

    i tried to reboot, but that doesn't solve the problem. Starting evolution from a terminal i found

    Code:
    (evolution:2418): evolution-plugin-lib-WARNING **: can't load plugin '/usr/lib/evolution/3.2/plugins/liborg-gnome-groupwise-features': libegroupwise-1.2.so.13: cannot open shared object file: No such file or directory
    
    (evolution:2418): evolution-plugin-lib-WARNING **: can't load plugin '/usr/lib/evolution/3.2/plugins/liborg-gnome-groupwise-features': libegroupwise-1.2.so.13: cannot open shared object file: No such file or directory
    
    (evolution:2418): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
    This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
    The overwriting error message was: No provider available for protocol 'groupwise'
    
    (evolution:2418): evolution-mail-WARNING **: e_mail_store_add_by_account: Failed to add transport service: No provider available for protocol 'groupwise'
    
    (evolution:2418): evolution-mail-WARNING **: Couldn't get service: klaus.straka@jku.at: Could not load /usr/lib/evolution-data-server/camel-providers/libcamelgroupwise.so: libegroupwise-1.2.so.13: cannot open shared object file: No such file or directory
    
    (evolution:2418): camel-CRITICAL **: camel_session_add_service: assertion `uri_string != NULL' failed
    
    (evolution:2418): evolution-plugin-lib-WARNING **: can't load plugin '/usr/lib/evolution/3.2/plugins/liborg-gnome-groupwise-features': libegroupwise-1.2.so.13: cannot open shared object file: No such file or directory
    
    (evolution:2418): e-utils-CRITICAL **: Plugin "GroupWise Features" is missing a function named gw_ui_mail_folder_popup()
    
    (evolution:2418): evolution-plugin-lib-WARNING **: can't load plugin '/usr/lib/evolution/3.2/plugins/liborg-gnome-groupwise-features': libegroupwise-1.2.so.13: cannot open shared object file: No such file or directory
    
    (evolution:2418): e-utils-CRITICAL **: Plugin "GroupWise Features" is missing a function named gw_ui_mail_message_popup()
    I am not sure but i think the libegroupwise-1.2.so.13 file results from the build process. But why is it missing?

  7. #17
    Join Date
    Oct 2011
    Beans
    9

    Re: No Groupwise Support for Evolution in 11.10?

    Try locate libegroupwise-1.2.so.13

    There should be something like:

    /home/bruhein/checkout/gnome/evolution/evolution-groupwise-3.2.1/src/server/.libs/libegroupwise-1.2.so.13
    /home/bruhein/checkout/gnome/evolution/evolution-groupwise-3.2.1/src/server/.libs/libegroupwise-1.2.so.13.0.1
    /usr/local/lib/libegroupwise-1.2.so.13
    /usr/local/lib/libegroupwise-1.2.so.13.0.1

    Can you post yours?

  8. #18
    Join Date
    Nov 2011
    Beans
    5

    Re: No Groupwise Support for Evolution in 11.10?

    On my system it's


    /home/**/evolution-groupwise/src/server/.libs/libegroupwise-1.2.so.13
    /home/**/evolution-groupwise/src/server/.libs/libegroupwise-1.2.so.13.0.1
    /usr/local/lib/libegroupwise-1.2.so.13
    /usr/local/lib/libegroupwise-1.2.so.13.0.1

    looks very similar to yours.

  9. #19
    Join Date
    Oct 2011
    Beans
    9

    Re: No Groupwise Support for Evolution in 11.10?

    The error message says:

    can't load plugin '/usr/lib/evolution/3.2/plugins/liborg-gnome-groupwise-features': libegroupwise-1.2.so.13: cannot open shared object file: No such file or directory

    So your evolution expects libegroupwise-1.2.so.13 in /usr/lib/evolution/3.2/plugins

    But make install puts the library in /usr/local/lib

    Why don't you make a simple symbolic link from /usr/lib/evolution/3.2/plugins to /usr/local/lib?

    sudo ln -s /usr/local/lib/libegroupwise-1.2.so.13 /usr/lib/evolution/3.2/plugins/libegroupwise-1.2.so.13

    Sure - a quite dirty trick and you should keep that in your mind and tidy up all that when there is a bugfix from Ubuntu.

  10. #20
    Join Date
    Nov 2011
    Beans
    5

    Re: No Groupwise Support for Evolution in 11.10?

    That,s it!

    Thanks again for your help

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •